Name: R-VR
Summary: R port of "Modern Applied Statistics with S-PLUS"
Group: Development/Languages
Copyright: GPL (version 2 or later)
URL: http://www.stats.ox.ac.uk/pub/MASS2/
Packager: Martyn Plummer <plummer@iarc.fr>
Prefix: /usr
BuildRoot: /var/tmp/R
Icon: logosm-trans.gif
Version: 5.3pl027
Release: 2
Source: ftp://ftp.stat.math.ethz.ch/R-CRAN/src/contrib/VR_5.3pl027-1.tar.gz  
Requires: R-base >= 0.62

%description 
Various functions from the libraries of Venables and
Ripley, `Modern Applied Statistics with S-PLUS' (2nd edition).

%prep
%setup -q -n VR

%build

%install
rm -rf $RPM_BUILD_ROOT

#
# Install it. You need R-base installed on your build machine for this
#
mkdir --parents ${RPM_BUILD_ROOT}/usr/lib/R/library
for pkg in MASS class nnet spatial; do
   R INSTALL -l ${RPM_BUILD_ROOT}/usr/lib/R/library $pkg
done

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ ! -f ${RPM_INSTALL_PREFIX}/lib/R/library/base/TITLE ] || \
   [ ! -x ${RPM_INSTALL_PREFIX}/lib/R/etc/build-help ]; then
#   echo "Can't find R base in" ${RPM_INSTALL_PREFIX}/lib/R
   exit 1
fi

%post
cd ${RPM_INSTALL_PREFIX}/lib/R/library
cat */TITLE > LibIndex
../etc/build-help --rhome=${RPM_INSTALL_PREFIX}/lib/R --htmllists 2>&1 > /dev/null

%postun
cd ${RPM_INSTALL_PREFIX}/lib/R/library
cat */TITLE > LibIndex
../etc/build-help --rhome=${RPM_INSTALL_PREFIX}/lib/R --htmllists 2>&1 > /dev/null

%files 
%defattr(-,root,root)
/usr/lib/R/library/MASS
/usr/lib/R/library/class
/usr/lib/R/library/nnet
/usr/lib/R/library/spatial
%doc CHANGES CHANGES.R COPYING DESCRIPTION LICENCE VERSION WHATS.NEW scripts

%changelog
* Tue Oct 27 1998 Jeff Johnson <jbj@redhat.com>
- re-package for powertools (from Martyn Plummer <plummer@iarc.fr>)
- eliminate %post output.
